#include<bits/stdc++.h>
using namespace std;
int main()
{
	long long s,x,n,a,md,ml;
	cin>>n;
	cin>>x;
	md=ml=0;
	for(int i=0;i<n;i++)
	{
		cin>>a;
		if(a>=x)
		{
			if(a-x>md)
				md=a-x;
		}
		else if(a<x)
		{
			if(x-a>ml)
				ml=x-a;
		}
	}
	if(ml<md)
		s=2*ml+md;
	else
		s=2*md+ml;	
	
	cout<<s;
}